Bug 615824 - Use --no-name by default for reproducibility
Summary: Use --no-name by default for reproducibility
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Karel Klíč
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 01:37 UTC by Matt McCutchen
Modified: 2013-03-03 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 09:44:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (852 bytes, patch)
2010-07-26 16:05 UTC, Karel Klíč
no flags Details | Diff

Description Matt McCutchen 2010-07-19 01:37:59 UTC
Description of problem:
IMO, embedding the source file name and mtime in the compressed file (--name) is a misfeature.  The extra metadata has never been useful to me, but it broke reproducibility of one of my build processes until I disabled it.  Please consider disabling it (--no-name) by default, or at least when stdin is a pipe.

I realize this request could probably go upstream, but upstream bug tracking is nonexistent.

Version-Release number of selected component (if applicable):
gzip-1.3.13-4.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
echo foo | gzip | sha1sum; sleep 1; echo foo | gzip | sha1sum
  
Actual results:
Two different values.

Expected results:
The same value twice.

Comment 1 Karel Klíč 2010-07-26 16:05:39 UTC
Created attachment 434453 [details]
Proposed patch

It makes sense to me to disable the file name and mtime by default when reading the input from stdin. Not sure about changing the defaults for files.

I'll ask the upstream author.

Comment 2 Karel Klíč 2010-08-05 09:44:18 UTC
The upstream thinks it's bad to make pipes a special case.
Feel free to make a better proposal there, I should have thought mine more.

http://lists.gnu.org/archive/html/bug-gzip/2010-08/msg00001.html


Note You need to log in before you can comment on or make changes to this bug.